# tailwindcss-hyphens

[![npm version][npm-version-src]][npm-version-href]
[![npm downloads][npm-downloads-src]][npm-downloads-href]
[![code style: prettier](https://img.shields.io/badge/code_style-prettier-1a2b34.svg?style=flat-square)](https://prettier.io)
[![License: MIT](https://img.shields.io/badge/License-MIT-black.svg?style=flat-square)](https://opensource.org/licenses/MIT)

A plugin for [Tailwind CSS](https://www.tailwindcss.com/) to create
utility classes for [`hyphens`](https://developer.mozilla.org/en-US/docs/Web/CSS/hyphens).

## Installation

```sh
yarn add @distributed/tailwindcss-hyphens
```

## Usage

_tailwind.config.ts_:

```js
module.exports = {
  plugins: [
    require("@distributed/tailwindcss-hyphens")
  ]
};
```

## Utilities

By default, this plugin generates the following utilities:

```css
.hyphens-none {
  hyphens: none;
}

.hyphens-manual {
  hyphens: manual;
}

.hyphens-auto {
  hyphens: auto;
}
```

## Notes

Plugin extracted from a private monorepo, README generated by ChatGPT :robot:

## License

[MIT](./LICENSE)

[npm-version-src]: https://img.shields.io/npm/dt/@distributed/tailwindcss-hyphens.svg?style=flat-square
[npm-version-href]: https://npmjs.com/package/@distributed/tailwindcss-hyphens
[npm-downloads-src]: https://img.shields.io/npm/v/@distributed/tailwindcss-hyphens/latest.svg?style=flat-square
[npm-downloads-href]: https://npmjs.com/package/@distributed/tailwindcss-hyphens
